## org.hibernate.engine.spi
Class AssociationKey

    java.lang.Object
      org.hibernate.engine.spi.AssociationKey

All Implemented Interfaces:
  Serializable

    public final class AssociationKey

extends Object
implements Serializable

Identifies a named association belonging to a particular entity instance. Used to record the fact that an association is null during loading.

See Also:
  Serialized Form

Constructor Summary
`AssociationKey(EntityKey ownerKey, String propertyName)`

Method Summary
`boolean` `equals(Object that)`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AssociationKey

    public AssociationKey(EntityKey ownerKey,
                          String propertyName)

Method Detail

### equals

    public boolean equals(Object that)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.